# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.books
Class Review

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.books.Review

All Implemented Interfaces:
  Extension

    public class Review

extends AbstractExtension

User-provided review.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Review()` Default mutable constructor.
`Review(java.lang.String lang, java.lang.String type, java.lang.String value)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getLang()` Returns the language of link title.
`java.lang.String` `getType()` Returns the type of text construct (typically 'text', 'html' or 'xhtml').
`java.lang.String` `getValue()` Returns the text content of the review.
`int` `hashCode()`
`boolean` `hasLang()` Returns whether it has the language of link title.
`boolean` `hasType()` Returns whether it has the type of text construct (typically 'text', 'html' or 'xhtml').
`boolean` `hasValue()` Returns whether it has the text content of the review.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setLang(java.lang.String lang)` Sets the language of link title.
`void` `setType(java.lang.String type)` Sets the type of text construct (typically 'text', 'html' or 'xhtml').
`void` `setValue(java.lang.String value)` Sets the text content of the review.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Review

    public Review()

  Default mutable constructor.

### Review

    public Review(java.lang.String lang,
                  java.lang.String type,
                  java.lang.String value)

  Immutable constructor.

  Parameters:
    `lang` - language of link title.
    `type` - type of text construct (typically 'text', 'html' or 'xhtml').
    `value` - text content of the review.

Method Detail

### getLang

    public java.lang.String getLang()

  Returns the language of link title.

  Returns:
    language of link title

### setLang

    public void setLang(java.lang.String lang)

  Sets the language of link title.

  Parameters:
    `lang` - language of link title or `null` to reset

### hasLang

    public boolean hasLang()

  Returns whether it has the language of link title.

  Returns:
    whether it has the language of link title

### getType

    public java.lang.String getType()

  Returns the type of text construct (typically 'text', 'html' or 'xhtml').

  Returns:
    type of text construct (typically 'text', 'html' or 'xhtml')

### setType

    public void setType(java.lang.String type)

  Sets the type of text construct (typically 'text', 'html' or 'xhtml').

  Parameters:
    `type` - type of text construct (typically 'text', 'html' or 'xhtml') or `null` to reset

### hasType

    public boolean hasType()

  Returns whether it has the type of text construct (typically 'text', 'html' or 'xhtml').

  Returns:
    whether it has the type of text construct (typically 'text', 'html' or 'xhtml')

### getValue

    public java.lang.String getValue()

  Returns the text content of the review.

  Returns:
    text content of the review

### setValue

    public void setValue(java.lang.String value)

  Sets the text content of the review.

  Parameters:
    `value` - text content of the review or `null` to reset

### hasValue

    public boolean hasValue()

  Returns whether it has the text content of the review.

  Returns:
    whether it has the text content of the review

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`